qemubuilder(8)

NAME
qemubuilder - a pbuilder wrapper for qemu.

SYNOPSIS
qemubuilder [commands] [options]

DESCRIPTION
qemubuilder Executes the specified pbuilder operation with qemu

COMMANDS
Most commands imitate pbuilder, see pbuilder manual for details.

--create
    Create the base.qemu image.

--update
    Update the base.qemu image.

--build .dsc-file
    Build a package given a .dsc file

--login
    Start a session within the base.qemu.

--execute
    Execute a command within the base.qemu.

--dumpconfig
    dump configuration information.

--arch-diskdevice sd/hd
    specify whether disk device inside the virtual machine is called /dev/sda or /dev/hda. The possible value is 'sd' or 'hd'.

--smp 2
    The option passed to SMP.

OPTIONS
Most options are the same as pbuilder, except for the following which are handled specially.

SMP 2
    The SMP option for qemu. I don't think I can support bind-mounts in qemu. Documentation here should be updated according to what's defined in parameter.c, but it isn't.

CONFIGURATION FILES
qemubuilder reads the following configuration files per default.

/usr/share/pbuilder/pbuilderrc
    Application default, not to be changed.

/etc/pbuilderrc
    System-wide default.

~/.pbuilderrc
    User default

anything specified with --configfile option
    Additional configuration at runtime.

CONFIGURATION FILE OPTIONS
The possible configuration options are as follows. Others are ignored.

DISTRIBUTION=distribution

BUILDRESULT=directory

BUILDPLACE=directory

BASEPATH=path

MIRRORSITE=http://mirror

KERNEL_IMAGE=vmlinuz
    Linux kernel to use.

INITRD=initrd
    initrd to use.

ARCHITECTURE=arch
    The target architecture. You can also use ARCH=arch for compatibility with 0.60 or older.

MEMORY_MEGS=256
    memory size to use in qemu session, in MB.

ARCH_DISKDEVICE=hd
    The architecture-specific disk device specifier. Most arches use sd these days. The only exceptions were i386 and amd64, which used to use hd.

EXAMPLES

qemubuilder --create
    Create a base.qemu image.

qemubuilder --update
    Update the base.qemu image.

qemubuilder --build test_0.1.dsc
    Build the package specified in dsc file, with the base.qemu image.

pdebuild --pbuilder qemubuilder
    Run qemubuilder --build against the current directory. The current directory should be an extracted Debian source package directory. Edit /etc/pbuilderrc to have PDEBUILD_PBUILDER=qemubuilder to make this the default behavior for pdebuild.

qemubuilder --create --distribution sid --basepath /var/cache/pbuilder/base-test.qemu
    Create a base.qemu image with the path /var/cache/pbuilder/base-test.qemu and distribution sid.

Example pbuilderrc for i386
    KERNEL_IMAGE=vmlinuz-2.6.18-4-k7
    INITRD=initrd.img-2.6.18-4-k7
    ARCHITECTURE=i386
    BASEPATH=/home/dancer/tmp/base-i386.qemu
    MEMORY_MEGS=256
    Note. INITRD may or may not be required for your system.  Debian Installer
    initrd may or may not work depending on which one you choose, use the
    one from an installed system.

CAVEATS
    Note that for mirror specification, http://localhost/debian/ usually
    doesn't work, it will be searching for files on the virtual machine
    itself, not the host OS.

AUTHOR
Junichi Uekawa (dancer@debian.org)

SEE ALSO
/usr/share/doc/pbuilder/pbuilder-doc.html, pbuilder (8), pdebuild (1)